<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.Shapes</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-5"></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">SDL.Raw.Types</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">SDL</span></span><span>
</span><span id="line-7"></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-11"></span><span>
</span><span id="line-12"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Pixel&quot;</span></span><span> </span><span id="pixel"><span class="annot"><a href="SDL.GPU.C.Shapes.html#pixel"><span class="hs-identifier hs-var">pixel</span></a></span></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-15"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-16"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-17"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-18"></span><span>
</span><span id="line-19"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Line&quot;</span></span><span> </span><span id="line"><span class="annot"><a href="SDL.GPU.C.Shapes.html#line"><span class="hs-identifier hs-var">line</span></a></span></span><span>
</span><span id="line-20"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-21"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-22"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-25"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-27"></span><span>
</span><span id="line-28"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Arc&quot;</span></span><span> </span><span id="arc"><span class="annot"><a href="SDL.GPU.C.Shapes.html#arc"><span class="hs-identifier hs-var">arc</span></a></span></span><span>
</span><span id="line-29"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-30"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-32"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-33"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ start_angle</span><span>
</span><span id="line-34"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ end_angle</span><span>
</span><span id="line-35"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-36"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-37"></span><span>
</span><span id="line-38"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_ArcFilled&quot;</span></span><span> </span><span id="arcFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#arcFilled"><span class="hs-identifier hs-var">arcFilled</span></a></span></span><span>
</span><span id="line-39"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-40"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-41"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-43"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ start_angle</span><span>
</span><span id="line-44"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ end_angle</span><span>
</span><span id="line-45"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-46"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-47"></span><span>
</span><span id="line-48"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Circle&quot;</span></span><span> </span><span id="circle"><span class="annot"><a href="SDL.GPU.C.Shapes.html#circle"><span class="hs-identifier hs-var">circle</span></a></span></span><span>
</span><span id="line-49"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-50"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-51"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-52"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-53"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-54"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-55"></span><span>
</span><span id="line-56"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_CircleFilled&quot;</span></span><span> </span><span id="circleFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#circleFilled"><span class="hs-identifier hs-var">circleFilled</span></a></span></span><span>
</span><span id="line-57"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-58"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-59"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-60"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-61"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-62"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-63"></span><span>
</span><span id="line-64"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Ellipse&quot;</span></span><span> </span><span id="ellipse"><span class="annot"><a href="SDL.GPU.C.Shapes.html#ellipse"><span class="hs-identifier hs-var">ellipse</span></a></span></span><span>
</span><span id="line-65"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-66"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-67"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-68"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ rx</span><span>
</span><span id="line-69"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ ry</span><span>
</span><span id="line-70"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-71"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-72"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-73"></span><span>
</span><span id="line-74"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_EllipseFilled&quot;</span></span><span> </span><span id="ellipseFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#ellipseFilled"><span class="hs-identifier hs-var">ellipseFilled</span></a></span></span><span>
</span><span id="line-75"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-76"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-77"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-78"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ rx</span><span>
</span><span id="line-79"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ ry</span><span>
</span><span id="line-80"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ degrees</span><span>
</span><span id="line-81"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-82"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-83"></span><span>
</span><span id="line-84"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Sector&quot;</span></span><span> </span><span id="sector"><span class="annot"><a href="SDL.GPU.C.Shapes.html#sector"><span class="hs-identifier hs-var">sector</span></a></span></span><span>
</span><span id="line-85"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-86"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-87"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-88"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ inner_radius</span><span>
</span><span id="line-89"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ outer_radius</span><span>
</span><span id="line-90"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ start_angle</span><span>
</span><span id="line-91"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ end_angle</span><span>
</span><span id="line-92"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-93"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-94"></span><span>
</span><span id="line-95"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_SectorFilled&quot;</span></span><span> </span><span id="sectorFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#sectorFilled"><span class="hs-identifier hs-var">sectorFilled</span></a></span></span><span>
</span><span id="line-96"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-97"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x</span><span>
</span><span id="line-98"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y</span><span>
</span><span id="line-99"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ inner_radius</span><span>
</span><span id="line-100"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ outer_radius</span><span>
</span><span id="line-101"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ start_angle</span><span>
</span><span id="line-102"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ end_angle</span><span>
</span><span id="line-103"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-104"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-105"></span><span>
</span><span id="line-106"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Tri&quot;</span></span><span> </span><span id="tri"><span class="annot"><a href="SDL.GPU.C.Shapes.html#tri"><span class="hs-identifier hs-var">tri</span></a></span></span><span>
</span><span id="line-107"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-108"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-109"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-110"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-111"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-112"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x3</span><span>
</span><span id="line-113"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y3</span><span>
</span><span id="line-114"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-115"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-116"></span><span>
</span><span id="line-117"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_TriFilled&quot;</span></span><span> </span><span id="triFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#triFilled"><span class="hs-identifier hs-var">triFilled</span></a></span></span><span>
</span><span id="line-118"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-119"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-120"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-121"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-122"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-123"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x3</span><span>
</span><span id="line-124"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y3</span><span>
</span><span id="line-125"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-126"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-127"></span><span>
</span><span id="line-128"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Rectangle&quot;</span></span><span> </span><span id="rectangle"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangle"><span class="hs-identifier hs-var">rectangle</span></a></span></span><span>
</span><span id="line-129"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-130"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-131"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-132"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-133"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-134"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-135"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-136"></span><span>
</span><span id="line-137"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Rectangle2&quot;</span></span><span> </span><span id="rectangle2"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangle2"><span class="hs-identifier hs-var">rectangle2</span></a></span></span><span>
</span><span id="line-138"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-139"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-140"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-141"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-142"></span><span>
</span><span id="line-143"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleFilled&quot;</span></span><span> </span><span id="rectangleFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleFilled"><span class="hs-identifier hs-var">rectangleFilled</span></a></span></span><span>
</span><span id="line-144"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-145"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-146"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-147"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-148"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-149"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-150"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-151"></span><span>
</span><span id="line-152"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleFilled2&quot;</span></span><span> </span><span id="rectangleFilled2"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleFilled2"><span class="hs-identifier hs-var">rectangleFilled2</span></a></span></span><span>
</span><span id="line-153"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-154"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-155"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-156"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-157"></span><span>
</span><span id="line-158"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleRound&quot;</span></span><span> </span><span id="rectangleRound"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleRound"><span class="hs-identifier hs-var">rectangleRound</span></a></span></span><span>
</span><span id="line-159"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-160"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-161"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-162"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-163"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-164"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-165"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-166"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-167"></span><span>
</span><span id="line-168"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleRound2&quot;</span></span><span> </span><span id="rectangleRound2"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleRound2"><span class="hs-identifier hs-var">rectangleRound2</span></a></span></span><span>
</span><span id="line-169"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-170"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-171"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-172"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-173"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-174"></span><span>
</span><span id="line-175"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleRoundFilled&quot;</span></span><span> </span><span id="rectangleRoundFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleRoundFilled"><span class="hs-identifier hs-var">rectangleRoundFilled</span></a></span></span><span>
</span><span id="line-176"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-177"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x1</span><span>
</span><span id="line-178"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y1</span><span>
</span><span id="line-179"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ x2</span><span>
</span><span id="line-180"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ y2</span><span>
</span><span id="line-181"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-182"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-183"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-184"></span><span>
</span><span id="line-185"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_RectangleRoundFilled2&quot;</span></span><span> </span><span id="rectangleRoundFilled2"><span class="annot"><a href="SDL.GPU.C.Shapes.html#rectangleRoundFilled2"><span class="hs-identifier hs-var">rectangleRoundFilled2</span></a></span></span><span>
</span><span id="line-186"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-187"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Rect"><span class="hs-identifier hs-type">GPU.Rect</span></a></span><span>
</span><span id="line-188"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ radius</span><span>
</span><span id="line-189"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-190"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-191"></span><span>
</span><span id="line-192"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Polygon&quot;</span></span><span> </span><span id="polygon"><span class="annot"><a href="SDL.GPU.C.Shapes.html#polygon"><span class="hs-identifier hs-var">polygon</span></a></span></span><span>
</span><span id="line-193"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-194"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-195"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ vertices</span><span>
</span><span id="line-196"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-197"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-198"></span><span>
</span><span id="line-199"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_Polyline&quot;</span></span><span> </span><span id="polyline"><span class="annot"><a href="SDL.GPU.C.Shapes.html#polyline"><span class="hs-identifier hs-var">polyline</span></a></span></span><span>
</span><span id="line-200"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-201"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-202"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ vertices</span><span>
</span><span id="line-203"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-204"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span> </span><span class="hs-comment">-- ^ close_loop</span><span>
</span><span id="line-205"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-206"></span><span>
</span><span id="line-207"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_PolygonFilled&quot;</span></span><span> </span><span id="polygonFilled"><span class="annot"><a href="SDL.GPU.C.Shapes.html#polygonFilled"><span class="hs-identifier hs-var">polygonFilled</span></a></span></span><span>
</span><span id="line-208"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Target"><span class="hs-identifier hs-type">GPU.Target</span></a></span><span>
</span><span id="line-209"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ num_vertices</span><span>
</span><span id="line-210"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ vertices</span><span>
</span><span id="line-211"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Color</span></span><span>
</span><span id="line-212"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-213"></span></pre></body></html>